Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface ComparaDriver

All Superinterfaces:
  EnsemblDriver

public interface ComparaDriver
extends EnsemblDriver

Provides adaptors for accessing an ensembl compara database.

Author:
  Craig Melsopp

Method Summary
`DnaDnaAlignFeatureAdaptor` | `getDnaDnaAlignFeatureAdaptor()`
`DnaFragmentAdaptor` | `getDnaFragmentAdaptor()`
`GenomeDBAdaptor` | `getGenomeDBAdaptor()`
`GenomicAlignAdaptor` | `getGenomicAlignAdaptor()`
`GenomicAlignBlockAdaptor` | `getGenomicAlignBlockAdaptor()`
`HomologyAdaptor` | `getHomologyAdaptor()`
`MemberAdaptor` | `getMemberAdaptor()`
`MethodLinkAdaptor` | `getMethodLinkAdaptor()`
`MethodLinkSpeciesSetAdaptor` | `getMethodLinkSpeciesSetAdaptor()`

Methods inherited from interface org.ensembl.driver.EnsemblDriver
`addAdaptor, backupAndClearTable, backupAndClearTables, backupAndClearTables, backupTable, backupTables, backupTables, clearAllCaches, clearTable, clearTables, clearTables, closeAllConnections, deleteDatabase, fetchDatabaseName, fetchDatabaseNames, fetchDatabaseSchemaVersion, fetchMetaValues, fetchTableNames, fetchTableNames, getAdaptor, getAdaptors, getConfiguration, getConnection, getDatasource, getServerFactory, initialise, isConnected, removeAdaptor, removeAdaptor, removeAllAdaptors, restoreTable, restoreTables, restoreTables, setServerDriverFactory, testConnection`

Method Detail

### getDnaDnaAlignFeatureAdaptor

    public DnaDnaAlignFeatureAdaptor getDnaDnaAlignFeatureAdaptor()
                                                           throws AdaptorException

  Throws:
    `AdaptorException`

### getDnaFragmentAdaptor

    public DnaFragmentAdaptor getDnaFragmentAdaptor()
                                             throws AdaptorException

  Throws:
    `AdaptorException`

### getGenomeDBAdaptor

    public GenomeDBAdaptor getGenomeDBAdaptor()
                                       throws AdaptorException

  Throws:
    `AdaptorException`

### getGenomicAlignAdaptor

    public GenomicAlignAdaptor getGenomicAlignAdaptor()
                                               throws AdaptorException

  Throws:
    `AdaptorException`

### getGenomicAlignBlockAdaptor

    public GenomicAlignBlockAdaptor getGenomicAlignBlockAdaptor()
                                                         throws AdaptorException

  Throws:
    `AdaptorException`

### getHomologyAdaptor

    public HomologyAdaptor getHomologyAdaptor()
                                       throws AdaptorException

  Throws:
    `AdaptorException`

### getMemberAdaptor

    public MemberAdaptor getMemberAdaptor()
                                   throws AdaptorException

  Throws:
    `AdaptorException`

### getMethodLinkAdaptor

    public MethodLinkAdaptor getMethodLinkAdaptor()
                                           throws AdaptorException

  Throws:
    `AdaptorException`

### getMethodLinkSpeciesSetAdaptor

    public MethodLinkSpeciesSetAdaptor getMethodLinkSpeciesSetAdaptor()
                                                               throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD